Home | Modules | Class Hierarchy | Alphabetical List | Compound List | Related Pages

# FileWriter Class Reference
[IO core interfaces]

Inheritance diagram for FileWriter:

## Detailed Description

Writes data stream into a file.

## Public Methods

| FileWriter (const String *fileName)
| FileWriter (const String *fileName, int encoding, bool useBOM)

## Constructor & Destructor Documentation

FileWriter::FileWriter | ( | const String * | fileName | ) |

Parameters:

  fileName | File name, used to write data to.

FileWriter::FileWriter | ( | const String * | fileName,
|  | int | encoding,
|  | bool | useBOM
| ) |

Parameters:

  fileName | File name, used to write data to.
  encoding | Output encoding.
  useBOM | If true, BOM (Byte Order Mark) is written first.

Colorer-take5 Library. Copyright © 1999-2003 Cail Lomecb.
Generated at Fri Sep 12 18:54:56 2003 by doxygen 1.3-rc2.